Subject: bug#29089: closed (Re: bug#17804: RFC: fixing the 32-bit size and time limits in gzip file format)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Dec 2021 02:34:02 +0000

Your bug report

#17804: Truncated size of big file

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17804: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17804
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17804: RFC: fixing the 32-bit size and time limits in gzip file format
From: Paul Eggert <[email-masked]>
To: Petr Stodůlka <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Dec 2021 18:33:12 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 6/18/14 15:12, Paul Eggert wrote:
> One simple way forward would be to implement what pigz -tl does, namely, 
> decompress the input stream and discard the output, but print its size.

I finally got around to implementing that suggestion:

https://git.savannah.gnu.org/cgit/gzip.git/commit/?id=cf26200380585019e927fe3cf5c0ecb7c8b3ef14
https://git.savannah.gnu.org/cgit/gzip.git/commit/?id=32fef43b442c7abc70414863d64718cd06f6477a

So I am closing this old bug report.

Subject: Truncated size of big file
From: Alex Peshkoff <[email-masked]>
To: [email-masked]
Date: Tue, 31 Oct 2017 20:59:33 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Before decompressing a copy of database I've decided to take a look at 
it's size:

localhost stg # gunzip -l SWHTOROLT_20171019.GBK.gz
          compressed        uncompressed  ratio uncompressed_name
          3645968323          1782666240 -104.5% SWHTOROLT_20171019.GBK

uncompressed is reported as 1.7Gb which is definitely something unreal 
like -104.5 compress ratio

Actual size after unzip is:

localhost stg # gunzip SWHTOROLT_20171019.GBK.gz
localhost stg # ls -l SWHTOROLT_20171019.GBK
-rw-r--r-- 1 root root 18962535424 Oct 19 15:59 SWHTOROLT_20171019.GBK

Lickily I've had enough disk space - but let me not attach problematic 
archive to email, I suppose it's easier to reproduce this locally ;)

Alex.